Topic Monitor health
curl --request GET \
--url https://api.sigmora.org/v1/topic-monitors/{brandId}/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/topic-monitors/{brandId}/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/topic-monitors/{brandId}/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"health": {
"status": "ready",
"readySources": 0,
"configuredSources": 0,
"sources": [
{
"platform": "youtube_shorts",
"status": "ready",
"reason": "<string>",
"queryMode": "provider-query",
"lastDiscoveryAt": "2023-11-07T05:31:56Z",
"lastRefreshAt": "2023-11-07T05:31:56Z"
}
],
"limitation": "<string>"
}
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Topic Monitor health
Inspect one channel Topic Monitor’s source readiness.
GET
/
v1
/
topic-monitors
/
{brandId}
/
health
Topic Monitor health
curl --request GET \
--url https://api.sigmora.org/v1/topic-monitors/{brandId}/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/topic-monitors/{brandId}/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/topic-monitors/{brandId}/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"health": {
"status": "ready",
"readySources": 0,
"configuredSources": 0,
"sources": [
{
"platform": "youtube_shorts",
"status": "ready",
"reason": "<string>",
"queryMode": "provider-query",
"lastDiscoveryAt": "2023-11-07T05:31:56Z",
"lastRefreshAt": "2023-11-07T05:31:56Z"
}
],
"limitation": "<string>"
}
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
A workspace API key.
Path Parameters
The Brand whose discovery plan this is. GET /v1/brands lists them.
Required string length:
1 - 200Example:
"brd_4b81"